<?php
global $wpsc_query, $wpdb;
// Path of this theme
$djavu_theme_url = WPSC_URL.'/themes/'.get_option('wpsc_selected_theme');

// Shorten the length of the description
function character_limiter($str, $n = 500, $end_char = '&#8230;')
{
    if (strlen($str) < $n)
    {
        return $str;
    }
    $str = preg_replace("/\s+/", ' ', str_replace(array("\r\n", "\r", "\n"), ' ', $str));
    if (strlen($str) <= $n)
    {
        return $str;
    }
    $out = "";
    foreach (explode(' ', trim($str)) as $val)
    {
        $out .= $val.' ';
        if (strlen($out) >= $n)
        {
            $out = trim($out);
            return (strlen($out) == strlen($str)) ? $out : $out.$end_char;
        }
    }
}
$character_per_descritpion = 150;
/*
 * Most functions called in this page can be found in the wpsc_query.php file
*/
?>

<div id='products_page_container' class="wrap wpsc_container">


    <?php
        /*
         * Breadcrumbs - here they will be displayed
         */
    ?>
    <?php if(wpsc_has_breadcrumbs()) : ?>
    <div class='breadcrumb'>
        <a href='<?php echo get_option('product_list_url'); ?>'>Home</a> &raquo;
            <?php while (wpsc_have_breadcrumbs()) : wpsc_the_breadcrumb(); ?>
                <?php if(wpsc_breadcrumb_url()) :?>
                    <a href='<?php echo wpsc_breadcrumb_url(); ?>'><?php echo wpsc_breadcrumb_name(); ?></a> &raquo;
                <?php else: ?>
                    <?php echo wpsc_breadcrumb_name(); ?>
                <?php endif; ?>
            <?php endwhile; ?>
    </div>
    <?php endif; // End Breadcrumbs ?>

    <?php
        /*
         * Plugin hook for adding things to the top of the products page, like the live search
         */
    ?>    
    <?php do_action('wpsc_top_of_products_page');  ?>
    <?php if(wpsc_display_categories()): ?>
        <?php if(get_option('wpsc_category_grid_view') == 1) :?>
    <div class='wpsc_categories wpsc_category_grid'>
                <?php wpsc_start_category_query(array('category_group'=> get_option('wpsc_default_category'), 'show_thumbnails'=> 1)); ?>
                <a href="<?php wpsc_print_category_url();?>" class="wpsc_category_grid_item" title='<?php wpsc_print_category_name();?>'>
                    <?php wpsc_print_category_image(45, 45); ?>
                </a>
                Product page A
                <?php wpsc_print_subcategory("", ""); ?>
                <?php wpsc_end_category_query(); ?>
        <div class='clear_category_group'></div>
    </div>
        <?php else:?>
    <!--<ul class='wpsc_categories'>-->
    

    <ul class='kwicks'>
                <?php wpsc_start_category_query(array('category_group'=>get_option('wpsc_default_category'), 'show_thumbnails'=> get_option('show_category_thumbnails'))); ?>
        <li>
                    
            <a href="<?php wpsc_print_category_url();?>" class="wpsc_category_link"><div class="kwicks_inner">
                <div class="image"><?php wpsc_print_category_image(); ?></div>
                <div class="caption-title transparent_class">
                    <?php wpsc_print_category_name();?>
                </div>
                <div class="caption transparent_class">
                    <a href="<?php wpsc_print_category_url();?>" class="wpsc_category_link"><?php wpsc_print_category_name();?></a>
                    <?php if(get_option('wpsc_category_description')) :?>
                        <?php wpsc_print_category_description("<div class='wpsc_subcategory'>", "</div>"); ?>
                    <?php endif;?>
                </div>
            </div></a>
                    <?php //echo '<br><a href="', $djavu_theme_url ,'">test</a>'; ?>
                    <?php //wpsc_print_subcategory("<ul>", "</ul>"); ?>
        </li>
                <?php wpsc_end_category_query(); ?>
    </ul>
        <?php endif; ?>
    <?php endif; ?>


    
    <?php
        /*
         * Display Products Details
         */
    ?>
    <?php if(wpsc_display_products()): ?>
        <?php if(wpsc_is_in_category()) : ?>
    <div class='wpsc_category_details'>
                <?php if(get_option('show_category_thumbnails') && wpsc_category_image()) : ?>
                    <img src='<?php echo wpsc_category_image(); ?>' alt='<?php echo wpsc_category_name(); ?>' title='<?php echo wpsc_category_name(); ?>' />
                <?php endif; ?>
                <?php if(get_option('wpsc_category_description') &&  wpsc_category_description()) : ?>
                    <p class="transparent_class"><?php echo wpsc_category_description(); ?></p>
                <?php endif; ?>
    </div>
        <?php endif; ?>


    <!-- Start Pagination TOP -->
        <?php if ( ( get_option( 'use_pagination' ) == 1 && ( get_option( 'wpsc_page_number_position' ) == 1 || get_option( 'wpsc_page_number_position' ) == 3 ) ) ) : ?>
    <div class="wpsc_page_numbers">
                <?php if ( wpsc_has_pages() ) : ?>
					Pages: <?php echo wpsc_first_products_link( '&laquo; First', true ); ?> <?php echo wpsc_previous_products_link( '&laquo; Previous', true ); ?> <?php echo wpsc_pagination( 10 ); ?> <?php echo wpsc_next_products_link( 'Next &raquo;', true ); ?> <?php echo wpsc_last_products_link( 'Last &raquo;', true ); ?>
                <?php endif; ?>
    </div>
        <?php endif; ?>
    <!-- End Pagination TOP -->

    <?php
        // Count products
        $wpsc_count_products = 0;
        $wpsc_count_products_rows = 0;
    ?>

        <?php 
        /*
         * start the product loop here 
         */
        ?>
    <h3 class='wpsc_category_boundary'>
                    <?php echo wpsc_current_category_name(); ?>
    </h3>
    <div id="my-container">
        <?php while (wpsc_have_products()) :  wpsc_the_product(); ?>
            <?php if(wpsc_category_transition()) :?>

            <?php endif; ?>
        <?php
            /* Check if we have 3 columns of products and if yes we add a new row.
             * So all products in a column will have the same height because we use jQuery Equalheights
             */
            if ( ($wpsc_count_products % 3) == 0) 
                $wpsc_count_products_rows++;
        ?>

    <div class="box productdisplay default_product_display product_view_<?php echo wpsc_the_product_id(); ?> <?php echo wpsc_category_class(); ?> equalbox<?php echo $wpsc_count_products_rows; ?>">
        <div class="box-col">
               
                    <?php if(get_option('show_thumbnails')) :?>
            <div class="box-imagecol">
                            <?php if(wpsc_the_product_thumbnail()) :?>
                <a rel="<?php echo str_replace(array(" ", '"',"'", '&quot;','&#039;'), array("_", "", "", "",''), wpsc_the_product_title()); ?>" href="<?php echo wpsc_the_product_permalink(); ?>">
                    <img class="product_image" id="product_image_<?php echo wpsc_the_product_id(); ?>" alt="<?php echo wpsc_the_product_title(); ?>" title="<?php echo wpsc_the_product_title(); ?>" src="<?php echo wpsc_the_product_thumbnail(); ?>" width="180" height="180"/>
                </a>
                            <?php else: ?>
                <div class="item_no_image">
                    <a href="<?php echo wpsc_the_product_permalink(); ?>">
                        <span>No Image Available</span>
                    </a>
                </div>
                            <?php endif; ?>
            </div>
                    <?php endif; ?>

            <div class="box-producttext">
                
                <h2 class="prodtitles">
                            <?php if(get_option('hide_name_link') == 1) : ?>
                    <span><?php echo wpsc_the_product_title(); ?></span>
                            <?php else: ?>
                    <a class="wpsc_product_title" href="<?php echo wpsc_the_product_permalink(); ?>"><?php echo wpsc_the_product_title(); ?></a>
                            <?php endif; ?>
                            <?php echo wpsc_edit_the_product_link(); ?>
                </h2>
                <a href="<?php echo wpsc_the_product_permalink(); ?>"><div class="wpsc_product_price">
                            <?php if(wpsc_product_is_donation()) : ?>
                    <label for='donation_price_<?php echo wpsc_the_product_id(); ?>'><?php echo __('Donation', 'wpsc'); ?>:</label>
                    <input type='text' id='donation_price_<?php echo wpsc_the_product_id(); ?>' name='donation_price' value='<?php echo $wpsc_query->product['price']; ?>' size='6' />
                    <br />


                            <?php else : ?>
                                <?php if(wpsc_product_on_special()) : ?>
                    <span class='oldprice'><?php echo __('Price', 'wpsc'); ?>: <?php echo wpsc_product_normal_price(get_option('wpsc_hide_decimals')); ?></span><br />
                                <?php endif; ?>
                    <span id="product_price_<?php echo wpsc_the_product_id(); ?>" class="pricedisplay"><?php echo __('Price', 'wpsc'); ?>:  <?php echo wpsc_the_product_price(get_option('wpsc_hide_decimals')); ?></span> <br/>
                                <?php if(get_option('display_pnp') == 1) : ?>
                    <span class="pricedisplay"><?php echo wpsc_product_postage_and_packaging(get_option('wpsc_hide_decimals')); ?></span><?php echo __('P&amp;P', 'wpsc'); ?>:  <br />
                                <?php endif; ?>
                            <?php endif; ?>
                </div></a>
                    
                        <?php
                        do_action('wpsc_product_before_description', wpsc_the_product_id(), $wpsc_query->product);
                        do_action('wpsc_product_addons', wpsc_the_product_id());
                        ?>


                <div class='wpsc_description'>
                        <?php
                            // This is the normal description
                            //echo character_limiter( wpsc_the_product_description(), $character_per_descritpion);  ?>
                </div>

                        <?php
                            // This is the additional description. I prefer this one to be displayed on the product page
                            if(wpsc_the_product_additional_description()) :
                            $value = '';
                            $the_addl_desc = wpsc_the_product_additional_description();
                            if( is_serialized($the_addl_desc) ) {
                                $addl_descriptions = @unserialize($the_addl_desc);
                            } else {
                                $addl_descriptions = array('addl_desc'=> $the_addl_desc);
                            }

                            if( isset($addl_descriptions['addl_desc']) ) {
                                $value = $addl_descriptions['addl_desc'];
                            }

                            if( function_exists('wpsc_addl_desc_show') ) {
                                echo wpsc_addl_desc_show( $addl_descriptions );
                            } else {
                                echo stripslashes( wpautop($the_addl_desc, $br=1));
                            }
                        ?>
                <!--
                <div class="button-learn-more"">
                        <a class="button light-gray" href='<?php echo wpsc_the_product_permalink(); ?>'>Learn more</a>
                </div>
                -->

                        <?php endif; ?>


            </div>
        </div>
    </div>
        <?php         
            // Add +1 to know how many products are displayed
            $wpsc_count_products++;
        ?>
        <?php endwhile; ?>
        </div>

        <?php /** end the product loop here */?>


        <?php if(wpsc_product_count() < 1):?>
    <p><?php  echo __('There are no products in this group.', 'wpsc'); ?></p>
        <?php endif ; ?>

        <?php

        if(function_exists('fancy_notifications')) {
            echo fancy_notifications();
        }
        ?>


    <!-- Start Pagination -->
        <?php if ( ( get_option( 'use_pagination' ) == 1 && ( get_option( 'wpsc_page_number_position' ) == 2 || get_option( 'wpsc_page_number_position' ) == 3 ) ) ) : ?>
    <div class="wpsc_page_numbers">
                <?php if ( wpsc_has_pages() ) : ?>
                    <!-- Default Pagination
                    Pages: <?php echo wpsc_first_products_link( '&laquo; First', true ); ?>
                    <?php echo wpsc_previous_products_link( '&laquo; Previous', true ); ?>
                    <?php echo wpsc_pagination( 10 ); ?>
                    <?php echo wpsc_next_products_link( 'Next &raquo;', true ); ?>
                    <?php echo wpsc_last_products_link( 'Last &raquo;', true ); ?>
                    -->
                    <!-- A Far better Pagination -->
                    Showing <?php echo wpsc_showing_products(); ?> of <?php echo wpsc_total_product_count(); ?> products <br/><!-- Number of products showing -->
                    Page <?php wpsc_showing_products_page(); ?>:
                    <?php echo wpsc_first_products_link( '&laquo;', false ); ?>
                    <?php echo wpsc_previous_products_link( 'previous', false ); ?>
                    <?php echo wpsc_pagination( 5 ); ?> <!-- Limit the amount of pages -->
                    <?php echo wpsc_next_products_link( 'next', false ); ?>
                    <?php echo wpsc_last_products_link( '&raquo;', false ); ?>
                    
                <?php endif; ?>
    </div>
        <?php endif; ?>
    <!-- End Pagination -->

    <?php
    /*
        $category_name = $wpdb->get_results("SELECT `id`,`name` FROM `".WPSC_TABLE_PRODUCT_LIST."` ORDER BY `date_added` DESC LIMIT 5");
        //print_r($category_name);
        echo 'Recently added products <br/>';
        for( $i=0; $i<count($category_name); $i++ ) {
            $image_path = "index.php?productid=".$category_name[$i]->id."&amp;thumbnail=".true."&amp;width=32&amp;height=32";
            echo '<a href="',wpsc_product_url($category_name[$i]->id),'"><img src="',$image_path,'" /> ',$category_name[$i]->name, '</a><br/>';
        }
     */
    ?>
    <?php endif; ?>
</div>
<script src="<?php echo $djavu_theme_url ?>/js/jquery.kwicks-1.5.1.pack.js" type="text/javascript"></script>
<script src="<?php echo $djavu_theme_url ?>/js/jquery.equalheights.js" type="text/javascript"></script>
<?php
    $wpsc_grid_equal_boxes = "";
    for($i=0; $i< $wpsc_count_products; $i++) {
        $wpsc_grid_equal_boxes .= '$(".equalbox'.$i.'").equalHeights();';
    }
    //echo 'items ',$wpsc_grid_items;
?>
<script type="text/javascript">
    jQuery(document).ready(function($){
        $('.kwicks').kwicks({
            max : 320,
            spacing : 0
        });
        setTimeout(function() {
            <?php echo $wpsc_grid_equal_boxes;?>
        }, 5000);
        
    });
</script>